--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.86, 0.025, "- New Holland FR9090 -");			
		renderText(0.72, 0.83, 0.02, "Taste Pos1: Rundumleuchte ein/aus");
		renderText(0.72, 0.81, 0.02, "Taste Numpad 8: Arbeitslicht Vorne");
		renderText(0.72, 0.79, 0.02, "Taste Numpad 6: Pipelicht");			
		renderText(0.72, 0.77, 0.02, "Taste Numpad 5: Arbeitslicht Hinten");
		renderText(0.72, 0.75, 0.02, "Taste Numpad 3: Blinker rechts");
		renderText(0.72, 0.73, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.71, 0.02, "Taste Numpad 6: Blinker links");
		renderText(0.72, 0.69, 0.02, "Taste F: Licht/Fernlicht an/aus");
		renderText(0.72, 0.67, 0.02, "Taste 7: Zwillingsbereifung ein/aus");
		renderText(0.72, 0.62, 0.02, "edit by Janibus1234");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




